> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# clearinghouseState

> Native Hyperliquid `/info` operation. Returns the perpetuals clearinghouse state (margin summary, open positions) for `user`.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#1
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#1:
    post:
      tags:
        - Hyperliquid
      summary: clearinghouseState
      description: >-
        Native Hyperliquid `/info` operation. Returns the perpetuals
        clearinghouse state (margin summary, open positions) for `user`.
      operationId: clearinghouseState_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Alchemy
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidInfo_clearinghouseState_Request'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HyperliquidInfo_clearinghouseState_Response
components:
  schemas:
    HyperliquidInfo_clearinghouseState_Request:
      type: object
      required:
        - type
        - user
      properties:
        type:
          type: string
          enum:
            - clearinghouseState
          default: clearinghouseState
          example: clearinghouseState
        user:
          type: string
          description: The account address to query (0x-prefixed).
          example: '0x000000000000000000000000000000000000dEaD'
      example:
        type: clearinghouseState
        user: '0x000000000000000000000000000000000000dEaD'
    HyperliquidInfo_clearinghouseState_Response:
      type: object
      required:
        - marginSummary
        - crossMarginSummary
        - crossMaintenanceMarginUsed
        - withdrawable
        - assetPositions
        - time
      properties:
        marginSummary:
          type: object
          required:
            - accountValue
            - totalNtlPos
            - totalRawUsd
            - totalMarginUsed
          properties:
            accountValue:
              type: string
              example: '0.0'
            totalNtlPos:
              type: string
              example: '0.0'
            totalRawUsd:
              type: string
              example: '0.0'
            totalMarginUsed:
              type: string
              example: '0.0'
        crossMarginSummary:
          type: object
          required:
            - accountValue
            - totalNtlPos
            - totalRawUsd
            - totalMarginUsed
          properties:
            accountValue:
              type: string
              example: '0.0'
            totalNtlPos:
              type: string
              example: '0.0'
            totalRawUsd:
              type: string
              example: '0.0'
            totalMarginUsed:
              type: string
              example: '0.0'
        crossMaintenanceMarginUsed:
          type: string
          example: '0.0'
        withdrawable:
          type: string
          example: '0.0'
        assetPositions:
          type: array
          description: >-
            Open perpetual positions. Each entry wraps the position under a
            `type` (e.g. `oneWay`) and a `position` object (coin, size,
            leverage, PnL).
          items:
            type: object
            properties:
              type:
                type: string
                example: oneWay
              position:
                type: object
        time:
          type: number
          example: 1783650284938
      example:
        marginSummary:
          accountValue: '0.0'
          totalNtlPos: '0.0'
          totalRawUsd: '0.0'
          totalMarginUsed: '0.0'
        crossMarginSummary:
          accountValue: '0.0'
          totalNtlPos: '0.0'
          totalRawUsd: '0.0'
          totalMarginUsed: '0.0'
        crossMaintenanceMarginUsed: '0.0'
        withdrawable: '0.0'
        assetPositions: []
        time: 1783699620829
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````